OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIX.ReferencePlane

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGIXReferencePlane :: MonadIO m => m Bool
- gl_SGIX_reference_plane :: Bool
- gl_REFERENCE_PLANE_EQUATION_SGIX :: GLenum
- gl_REFERENCE_PLANE_SGIX :: GLenum
- glReferencePlaneSGIX :: MonadIO m => Ptr GLdouble -> m ()

# Extension Support

glGetSGIXReferencePlane :: MonadIO m => m Bool

Is the SGIX_reference_plane extension supported?

gl_SGIX_reference_plane :: Bool

Is the SGIX_reference_plane extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXReferencePlane` in those cases instead.

# Enums

gl_REFERENCE_PLANE_EQUATION_SGIX :: GLenum

gl_REFERENCE_PLANE_SGIX :: GLenum

# Functions

glReferencePlaneSGIX

Arguments

:: MonadIO m |
=> Ptr GLdouble | `equation` pointing to `4` elements of type `GLdouble`.
-> m () |